Skip to main content
GET
/
v2
/
salesOrders
/
cancellationReasons
Query Sales Order Cancellation Reasons
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/cancellationReasons \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "name": "<string>",
    "isCommentRequired": true
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Response

Returns all cancellation reasons for sales orders

id
string<uuid>

Unique ID to identify a cancellation reason

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string

Name of the cancellation reason

isCommentRequired
boolean

Indicates if a comment is required when this cancellation reason is used